#include "handler.ih"

void Handler::nextBoundary() const
{
    string line;
    while (getline(cin, line))
    {
        if (line.find(d_boundary) == 0)
            return;
    }

    throw Exception{REPLY} << "Can't find a required multipart boundary "
                                                        "separator";
}
